Cisco Adaptive Security Appliance: bardzo poważne luki w zabezpieczeniach usługi VPN

Nawet światowemu liderowi w zakresie IT i sieci, takiemu jak Cisco, zdarzają się wpadki. Urządzenia tej firmy z rodziny Adaptive Security Appliance zawierają lukę w oprogramowaniu, która została ochrzczona maksymalnym wskaźnikiem powagi podatności (CVSS 10/10). W skrócie oznacza to, że luka jest trywialna do wykorzystania dla atakującego, może być zastosowana zdalnie i nie wymaga uwierzytelnienia na urządzeniu.

Luka CVE-2018-0101 w zabezpieczeniach Secure Sockets Layer (SSL) w oprogramowaniu Cisco Adaptive Security Appliance (ASA) umożliwia zdalne wykonanie kodu osobie nieuwierzytelnionej w urządzeniu. To poważna sytuacja, ponieważ rodzina produktów Cisco ASA zabezpiecza sieci, oferując zapory ogniowe, systemy IPS, ochronę punktów końcowych i VPN. W zależności od uprawnień, wykorzystanie tej luki daje napastnikowi możliwość (w kontekście aplikacji) zdalnego wykonania kodu: instalowania programów, przeglądania ustawień, zmieniania i usuwania danych, a nawet tworzenie nowych kont z pełnymi prawami.

Cisco Adaptive Security Appliance

Cisco podaje, że exploit daje napastnikowi pełną kontrolę nad urządzeniem, aczkolwiek spełniona musi być pewna zależność. Mianowicie na urządzeniu musi być włączona funkcja VPN, z której większość firm i tak korzysta. Czy interfejs „webvpn” jest na urządzeniu aktywny, można to sprawdzić poleceniem w CLI show „running-config webvpn”.

Podatne następujące urządzenia Cisco:

  • 3000 Series Industrial Security Appliance (ISA)
  • ASA 5500 Series Adaptive Security Appliances
  • ASA 5500-X Series Next-Generation Firewalls
  • ASA Services Module for Cisco Catalyst 6500 Series Switches and Cisco 7600 Series Routers
  • ASA 1000V Cloud Firewall
  • Adaptive Security Virtual Appliance (ASAv)
  • Firepower 2100 Series Security Appliance
  • Firepower 4110 Security Appliance
  • Firepower 9300 ASA Security Module
  • Firepower Threat Defense Software (FTD)

Bardziej szczegółowe instrukcje o luce i aktualizowaniu podaje producent. Cisco podaje też do wiadomości, że nie zauważono ataków wykorzystujących podatność w praktyce. Nie wpływa to jednak na powagę zagrożenia.

Administratorom zalecamy wdrożenie dostarczonej poprawki przez Cisco; a wcześniej sprawdzenie, czy przed jej zastosowaniem nie nastąpiły nieautoryzowane modyfikacje konfiguracji, monitorowanie włamań pod kątem jakichkolwiek anomalii oraz ograniczenie dostępu z zewnątrz do zagrożonych urządzeń.



Zapoznaj się z naszą ofertą

Jeśli zajmujesz się sprzedażą rozwiązań zabezpieczających, jesteś dystrybutorem, autoryzowanym partnerem lub producentem i chciałbyś na portalu AVLab zaprezentować swoje portfolio gronu potencjalnych odbiorców, zareklamować wydarzenie, oprogramowanie, sprzęt lub inne usługi — po prostu napisz do nas. A może mialeś/aś do czynienia z ransomware? Pomagamy też w odszyfrowaniu plików.
Czytaj więcej